তার আইডি দ্বারা একটি ব্লগ পুনরুদ্ধার. এখন এটি চেষ্টা করুন বা একটি উদাহরণ দেখুন ।
ব্লগ ব্যক্তিগত হলে অনুমোদন প্রয়োজন. যদি ব্লগটি সর্বজনীন হয়, তবে এই পদ্ধতিটি অনুমোদন ছাড়াই বলা যেতে পারে।
অনুরোধ
HTTP অনুরোধ
GET https://www.googleapis.com/blogger/v3/blogs/blogId
পরামিতি
| পরামিতি নাম | মান | বর্ণনা |
|---|---|---|
| প্রয়োজনীয় পরামিতি | ||
blogId | string | ব্লগের আইডি পেতে হবে। |
| ঐচ্ছিক পরামিতি | ||
maxPosts | unsigned integer | ব্লগের সাথে পুনরুদ্ধার করার জন্য সর্বাধিক সংখ্যক পোস্ট। যখন এই প্যারামিটারটি নির্দিষ্ট করা না থাকে, তখন ব্লগ সম্পদের অংশ হিসেবে কোনো পোস্ট ফেরত দেওয়া হবে না। |
শরীরের অনুরোধ
এই পদ্ধতির সাথে একটি অনুরোধ সংস্থা সরবরাহ করবেন না।
প্রতিক্রিয়া
সফল হলে, এই পদ্ধতিটি প্রতিক্রিয়া বডিতে একটি ব্লগ সংস্থান প্রদান করে।
উদাহরণ
দ্রষ্টব্য: এই পদ্ধতির জন্য উপলব্ধ কোড উদাহরণগুলি সমস্ত সমর্থিত প্রোগ্রামিং ভাষার প্রতিনিধিত্ব করে না (সমর্থিত ভাষার তালিকার জন্য ক্লায়েন্ট লাইব্রেরি পৃষ্ঠা দেখুন)।
জাভা
জাভা ক্লায়েন্ট লাইব্রেরি ব্যবহার করে
// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";
// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory(); class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID); // Restrict the result content to just the data we need.blogGetAction.setFields("description,name,posts/totalItems,updated");// This step sends the r
equest to the server.Blog blog = blogGetActio
n.execute(); // Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>
এটা চেষ্টা করুন!
লাইভ ডেটাতে এই পদ্ধতিতে কল করতে এবং প্রতিক্রিয়া দেখতে নীচের APIs এক্সপ্লোরার ব্যবহার করুন।